<?php

namespace openkm\bean;

class TemplateParams {

    public $dstPath;
    public $language;
    public $categories;
    public $keywords;
    public $propertyGroups;
    public $notes;
    public $properties;

    public function __construct() {
        
    }

    public function getDstPath() {
        return $this->dstPath;
    }

    public function getLanguage() {
        return $this->language;
    }

    public function getCategories() {
        return $this->categories;
    }

    public function getKeywords() {
        return $this->keywords;
    }

    public function getPropertyGroups() {
        return $this->propertyGroups;
    }

    public function getNotes() {
        return $this->notes;
    }

    public function getProperties() {
        return $this->properties;
    }

    public function setDstPath($dstPath): void {
        $this->dstPath = $dstPath;
    }

    public function setLanguage($language): void {
        $this->language = $language;
    }

    public function setCategories($categories): void {
        $this->categories = $categories;
    }

    public function setKeywords($keywords): void {
        $this->keywords = $keywords;
    }

    public function setPropertyGroups($propertyGroups): void {
        $this->propertyGroups = $propertyGroups;
    }

    public function setNotes($notes): void {
        $this->notes = $notes;
    }

    public function setProperties($properties): void {
        $this->properties = $properties;
    }

}
